                        README: xplay  version 2.1
*SUMMARY:

 The xplay is a graphical tool for playing and recording the audio file
on SUN SPARCstations. The xplay works on SPARCstation 1 or 2 with the 
audioamd and SPARCstation 10 with dbri audio device. The xplay on the 
audioamd can deal with only 8bit, 8kHz, mono, u-law method.  The xplay 
on the dbri can deal with higher quality data, for instance, CD player
quality: 16bit, stereo, 44.1kHz, linear method. 

 The xplay has a graphical user interface built with X11R5, Athena 
Widget sets. You can control the audio device by the Slider, menu,
button, and so on.

*ENVIRONMENT

 I confirmed the xplay program worked on:

SPARCstation 10 Model 30   SunOS 4.1.3 + X11R5 + Speaker Box
SPARCstation IPX           SunOS 4.1.3 + X11R5
SPARCstation IPC           SunOS 4.1.3 + X11R5
SPARCstation 1+            SunOS 4.1.3 + X11R5
SPARCstation 2             SunOS 4.1.3 + X11R5
SPARCstation Classic+      SunOS 4.1.3 + X11R5

*MAKE

To build the xplay:

Set help file path and 'about' pixmap file path in Makefile.

# Help file (English/Japanese) path
EHELP    = -DEHELP=\"/usr/local/lib/xplay/help.dat\"   #English help file
JHELP    = -DJHELP=\"/usr/local/lib/xplay/jhelp.dat\"  #Japanese help file
# About pixmap and SFF pixmap
ABOUTP   = -DABOUTP=\"/usr/local/lib/xplay/about.xpm\" #about pixmap
SFFP     = -DSFFP=\"/usr/local/lib/xplay/sff.xpm\"     #SFF   pixmap


XPlay supports multi language. 
# -DMULTI = Multi language is supported.
CFLAGS   = -DMULTI $(EHELP) $(JHELP) $(ABOUTP) $(SFF)

% make
% cp *help.dat /usr/local/lib/xplay



To install program and manual, type:

% make install install.man

If you have any trouble, please let me know.


*INCLUDES

These files are included in this archive.


README.j        : Document in Japanese
README.e        : Document in English
XPLAY.DOC       : Manual for xplay in Japanese
xplay.man       : Manual in the form man
xplay.jman      : Manual in the form jman
CHANGELOG       : version up log
RESOURCE        : X-resources example
XPlay.ad.*      : Fallback resources example
Makefile.org    : Original Makefile
Imakefile       : Imakefile
bitmaps/        : The directory for bitmap of buttons
xplaym.c        : Main module
tools.c         : Common tools
audiomisc.c     : Audio file module (misc)
audio.c         : Playing and recording procedures
filemgr.c       : File manager module
wildcard.c      : Wildcard module
controlp.c      : Control panel module
filep.c         : File panel module
gainp.c         : Gain panel module
recordp.c       : Record panel module
xplay.h         : Defines
resources.h     : fallback resources
help.dat        : English help document
jhelp.dat       : Japanese help document
action.h        : Action table
includes.h      : Include files and defines
audioenv.c      : Audio environment displayer on Charactor user interface
configp.c       : Configuration panel module
convert.c       : data converter module
state.c         : Local state module
SUNaudio.c      : Audio control depend on SUN
SUN_RAWfile.c   : SUN and RAW file read/write module
WAVfile.c       : WAV file read/write module
timelib.c       : Time <-> string converter
libst.h         : Jef Poskanzer's u-law <-> linear converter
libst.c         : Jef Poskanzer's u-law <-> linear converter

All Rights Reserved. But, I use Jef Poskanzer's "libst". 
See the file: libst.h

Suggestion and bug report are welcome.

Author:  Atsushi Hirahara
         School of Science and EnGineering, Waseda University
         hirahara@fuka.info.waseda.ac.jp

