/**********************************************************
 *
 * XPlay:   Audio Control Panel            version 2.1
 *
 * File:    menu.h    (static menus)
 *
 * Date:    Dec, 8, 1993
 *
 * By:      Atsushi Hirahara
 *          School of Science and Engineering, Waseda University,
 *          hirahara@fuka.info.waseda.ac.jp
 *
 **********************************************************/

static MENU srate [] = {
  { 1, 8000,  1,  8, U_LAW,  "  8000 Hz  U-law   8Bit", NULL},
  { 2, 8000,  1,  8, A_LAW,  "  8000 Hz  A-law   8Bit", NULL},
  { 3, 8000,  2, 16, LINEAR, "  8000 Hz  Linear 16Bit", NULL},
  { 4, 9600,  2, 16, LINEAR, "  9600 Hz  Linear 16Bit", NULL},
  { 5, 11025, 2, 16, LINEAR, " 11025 Hz  Linear 16Bit", NULL},
  { 6, 16000, 2, 16, LINEAR, " 16000 Hz  Linear 16Bit", NULL},
  { 7, 18900, 2, 16, LINEAR, " 18900 Hz  Linear 16Bit", NULL},
  { 8, 22050, 2, 16, LINEAR, " 22050 Hz  Linear 16Bit", NULL},
  { 9, 32000, 2, 16, LINEAR, " 32000 Hz  Linear 16Bit", NULL},
  {10, 37800, 2, 16, LINEAR, " 37800 Hz  Linear 16Bit", NULL},
  {11, 44100, 2, 16, LINEAR, " 44100 Hz  Linear 16Bit", NULL},
  {12, 48000, 2, 16, LINEAR, " 48000 Hz  Linear 16Bit", NULL},
  {0, 0, 0, 0, 0, NULL, NULL},
  (int)NULL,
};

static MENU soutput[] = {
 {AUDIO_SPEAKER,   0, 0, 0, 0, "Speaker", NULL},
 {AUDIO_HEADPHONE, 0, 0, 0, 0, "Headphone", NULL},
 {AUDIO_LINE_OUT,  0, 0, 0, 0, "Line Out", NULL},
 {OUTPUT_MUTE,     0, 0, 0, 0, "Mute", NULL},
 {AUDIO_SPEAKER | AUDIO_HEADPHONE,  0, 0, 0, 0, "Spkr & Head", NULL},
 {AUDIO_SPEAKER | AUDIO_LINE_OUT,   0, 0, 0, 0, "Spkr & Line", NULL},
 {AUDIO_LINE_OUT | AUDIO_HEADPHONE, 0, 0, 0, 0, "Head & Line", NULL},
 {AUDIO_SPEAKER|AUDIO_HEADPHONE|AUDIO_LINE_OUT, 0,0,0,0,"All Outputs", NULL},
 {0, 0, 0, 0, 0, 0, NULL},
 (int)NULL,
};

