/**********************************************************
 *
 * XPlay:   Audio Control Panel            version 2.1
 *
 * File:    help.dat      Help Messages.
 *
 * Date:    Oct, 21, 1993
 *
 * By:      Atsushi Hirahara
 *          School of Science and Engineering, Waseda University
 *          hirahara@fuka.info.waseda.ac.jp
 *
 **********************************************************/

static char * help_str ="\
                           XPlay version 2.1\n\
\n\n\
 How to:\n\
\n\
  Play ...\n\
        1) Click the 'Load' button in order to pop up file panel.\n\
           On the file panel, set directory and file search pattern.\n\
        2) Double click on the file name that you want to play,\n\
           or click 'Load All' button for selecting all files.\n\
           (Pop down the file panel)\n\
        3) Click 'play' button.  Xplay start playing files\n\
           in sequence of the list.\n\
           You can use double click on the list instead of 'play' button.\n\
\n\
  Stop  ...\n\
           Click 'stop' button on the control panel to stop playing. OR...\n\
           While playing a file, click on the current marked list to stop.\n\
\n\
  Pause ...\n\
           Click 'pause' button, you can pause audio device.\n\
\n\
  Delete a list (all lists)...\n\
        1) Click file name in the list that you want to delete and mark it.\n\
        2) Click 'Delete' button to delete a marked file.\n\
        *) To delete all lists, click 'Delete All' button. \n\
\n\
  Change play speed...\n\
           Move 'Play Speed' slider, you can change play speed.\n\
\n\
  Change play pointer...\n\
           Move 'Play Pointer'(or 'Play Time') slider, you can move\n\
           file pointer while playing a file. \n\
           And you can use 'search' button (\" >> \" or \" << \")\n\
           instead of 'Play Pointer' slider.\n\
\n\
  Skip files...\n\
           Click 'skip forward' button (\" >>| \") or 'skip backward'\n\
           button (\" |<< \") to skip forward / backward files.\n\
           Or click file name in the list when playing, you can skip\n\
           file directly.\n\
\n\
  Record...\n\
        1) Click the 'Record' button on the control panel\n\
           in order to pop up record panel. On the record panel, \n\
           set directory and file name. Optionally, you can set file \n\
           information and record limit time.\n\
           (Set Record gain and Record Balance.)\n\
        2) Click 'record' button on the record panel.\n\
           Xplay starts recording. \n\
        *) Auto-recording: Click 'TRIGGER' button on the record panel \n\
           before click 'record' button, xplay is set auto-recording mode.\n\
        3) Click 'stop' button on the record panel to stop recording.\n\
        *) You can pause recording by 'pause' button on the record panel.\n\
\n\
  Use special function...\n\
           You can change file name ,file information and play gain scale.\n\
        1) Click 'Special' button on the file panel in order to pop-up\n\
           special panel.\n\
        2) On the file panel, click the file name that you want to change.\n\
        3) On the special panel, enter new file name or new file information.\n\
        4) Click 'Okay' button on the special panel.\n\
\n\n\
  Report...\n\
           If you have any trouble, let me know, please.\n\
\n\
           E-MAIL address: hirahara@fuka.info.waseda.ac.jp\n\
\n\n";
